<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:import href="../../doc-tools/share/style.html.xsl"/>
<xsl:output method="xml"
	    encoding="ISO-8859-1"
	    doctype-public="-//W3C//DTD XHTML 1.0 //EN"
	    indent="yes"/>



<!-- overload page heading definition -->    
<xsl:template name="page-head">
	<xsl:param name="title"></xsl:param>
<div class="head">
<h1><xsl:value-of select="$title"/></h1>
</div>
</xsl:template>
<xsl:template match="parent">
<a href="{@path}"><img src="{$root}/dir-open.png"/><xsl:value-of select="@title"/></a><br/>
</xsl:template>
<xsl:template match="subdir">
<a href="{@path}"><img src="{$root}/dir.png"/><xsl:value-of select="@title"/></a><br/>
</xsl:template>
<xsl:template match="subfile">
<a href="{@path}"><img src="{$root}/doc.png"/><xsl:value-of select="@title"/></a><br/>
</xsl:template>
<!-- overload page-foot -->
<xsl:template name="page-foot">
<div class="foot">
<p>Updated : <xsl:value-of select="$buildDate"/></p>
</div>
</xsl:template>
<!-- overload page squeleton -->
<xsl:template name="page">
	<xsl:param name="title"></xsl:param>
	<xsl:param name="content-template"></xsl:param>
<html>
<head>
<title><xsl:value-of select="$title"/></title>
<script src="{$root}/popup.js" type="text/javascript">
&#160;
</script>
<style>
@import url("<xsl:value-of select="$root"/>/style.css");
</style>
</head>	
<body>
	<a name="top"/>
<!-- en tete page -->
<xsl:call-template name="page-head">
	<xsl:with-param name="title"><xsl:value-of select="$title"/></xsl:with-param>
</xsl:call-template>
<div class="sidebar">
<div class="navbar">
<p>
<xsl:apply-templates select="document('../../.idx.xml')/path/parent"/>
<ul>
<xsl:apply-templates select="document('../../.idx.xml')/path/subdir"/>
<xsl:apply-templates select="document('../../.idx.xml')/path/subfile"/>
</ul>
<a href="mailto:sde@eduvax.net?subject=[grant:{$pageId}]"><img src="{$root}/write.png"/> Post message</a>
</p>
</div>
<div class="toc">
<xsl:apply-templates select="/document/section" mode="summary"/>
</div>
<!-- pied de page -->
<xsl:call-template name="page-foot"/>
</div>
<!-- corps de la page -->
<xsl:call-template name="page-body">
	<xsl:with-param name="content-template"><xsl:value-of select="$content-template"/></xsl:with-param>
</xsl:call-template>
<p class="copyright">Copyright (C) 2004-2006 Sbastien DEVAUX</p>
</body>
</html>
</xsl:template>

</xsl:stylesheet>    
