/*  $Id: ExecReport.java 238 2006-04-30 20:07:59Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.grant.core;

/**
 * tasklet completion data.
 * @version $Id: ExecReport.java 238 2006-04-30 20:07:59Z sdevaux $
 * @author Sebastien Devaux
 */
public class ExecReport {
	/**
     * create execute report.
	 * @param er execute request.
	 * @param c tasklet execution completion code.
	 * @param t tasklet execution duration.
	 * @param cpu computed cpu load at task completion.
     */
	public ExecReport(ExecRequest er,int c,long t,float cpu) {
		request=er;
		cr=c;
		time=t;
		nodeLoad=cpu;
	}
	/** 
	 * gets tasklets execute duration.
     * @return duration (milliseconds).
     */
	public long getTime() {
		return time;
	}
	/** 
     * get completion code (exit code).
     * @return cr 
     */
	public int getCr() {
		return cr;
	}
	/** 
     * gets source request.
     * @return resquest 
     */
	public ExecRequest getRequest() {
		return request;
	}	
	/** 
     * gets node load computed at tasklet completion.
     * @return running node load 
	 */
	public float getNodeLoad() {
		return nodeLoad;
	}	
	/** 
     * done job description. 
     * @uml:link aggregation - 1
     */
	private ExecRequest request;
	/** execution completion code (exit code). */
	private int cr;
	/** task completion time. */
	private long time;
	/** node load. */
	private float nodeLoad;
}
