/*  $Id: NodeFactory.java 238 2006-04-30 20:07:59Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.grant.core;

/**
 * Node factory service definition.
 * For each node class, a factory is needed to achieve specialized node 
 * construction. One factory shoudl be provide to build remote node handler for 
 * each supported network protocol.
 * @version $Id: NodeFactory.java 238 2006-04-30 20:07:59Z sdevaux $
 * @author Sebastien Devaux
 */
public interface NodeFactory {
    /**
     * create new node.
     * @param n new node's name.
     */
    Node createNode(String n);
}
