/*  $Id: TaskletEvent.java 238 2006-04-30 20:07:59Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.grant.core;

/**
 * Tasklet event.
 */ 
public class TaskletEvent {
    /**
     * Create event relating to tasklet specified by exec request.
     * @param er exec request specifying tasklet.
     * @param d event data (should be serializable data type ?)
     */         
    public TaskletEvent(ExecRequest er,Object d) {
        execRequest=er;    
        data=d;
    }
    public TaskletEvent(ExecRequest er) {
        this(er,null);
    }        
    /**
     * @return source event tasklet request.
     */ 
    public ExecRequest getExecRequest() {
        return execRequest;            
    }            
	/**
	 * @return event data
	 */
	public Object getData() {
		return data;
	}	
    /**
     * ExecRequest is mandatory for event creation.
     */ 
    private TaskletEvent(){
    }        
    private ExecRequest execRequest;
    private Object data;
	// events types
	public static final int SCHEDULED = 1;
	public static final int DELAYED	= 2;
	public static final int RUNTIME	= 3;
	public static final int CANCELLED = 4;
	public static final int COMPLETED = 5;
}        
