/*  $Id: TaskletEventListener.java 238 2006-04-30 20:07:59Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.grant.core;


/**
 * Tasklet events notification interface.
 */
public interface TaskletEventListener {
    /**
     * Fired when a tacklet is scheduled.
     * @param ev event data.
     */     
    void scheduled(TaskletEvent ev);
    /**
     * Fired when tasklet execution (or scheduled) is delayed.
     * Main dalay cause is node overload.
     * @param ev event data
     */ 
    void delayed(TaskletEvent ev);
    /**
     * Fired by tasklet itself.
     * Main use is tasklet to creator communication.
     * @param ev event data
     */ 
    void runtimeEvent(TaskletEvent ev);
    /**
     * Fired when tasklet scheduling/execution is canceled.
     * May be on error ?
     * @param ev event data.
     */ 
    void cancelled(TaskletEvent ev);
    /**
     * Fired when tasklet execution is completed.
     * @param ev event data.
     */ 
    void completed(TaskletEvent ev);   
}        
