/*  $Id: Test.java 238 2006-04-30 20:07:59Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.grant.simul;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.InputStreamReader;
import java.util.Collection;
import java.util.Vector;

/**
 * grant test template.
 * Any grant test should extends this class and override run() method
 * @version
 * $Id: Test.java 238 2006-04-30 20:07:59Z sdevaux $
 * @author Sebastien Devaux
 */
public class Test implements Runnable {
	/**
	 * inits test.
	 */
	public void init() {
	} 
	/**
	 * create new test.
	 */
	public Test() {
	}
	/**
	 * set test arguments.
	 * @param c arguments
	 */
	public void setArgs(Collection c) {
	}
	/**
	 * command line entry point.
	 * @param args command line arguments.
	 */
	public static void main(String[] args) {
		Class testClass;
		Test t;
		String testClassName="null";
		Vector targs=new Vector();
		String input="-";
		// read command line args
		for (int i=0;i<args.length;i++) {
			String optarg=args[i];
			if ("-in".equals(optarg)) {
				i++;
				input=args[i];
			}
			else if ("-tc".equals(optarg)) {
				i++;
			 	testClassName=args[i];	
			}
			else {
				targs.add(args[i]);
			}
		}
		// create test
		try {
			testClass=Class.forName(testClassName);
			t=(Test)testClass.newInstance();
		}	
		catch (ClassNotFoundException ex) {
			ex.printStackTrace();
			return;
		}
		catch (InstantiationException ex) {
			ex.printStackTrace();
			return;
		}
		catch (IllegalAccessException ex) {
			ex.printStackTrace();
			return;
		}
		t.setArgs(targs);
		// init input stream
		if (!input.equals("-")) {
			try {
				t.input=new BufferedReader(new FileReader(args[1]));
			}
			catch (FileNotFoundException ex) {
				ex.printStackTrace();
				t.input=new BufferedReader(new InputStreamReader(System.in));
			}
		}
		else {
			t.input=new BufferedReader(new InputStreamReader(System.in));
		}	
		t.init();
		// run test
		t.run();
	}
	/**
	 * test main job.
	 */
	public void run() {
	}
	/** input stream. */
	protected BufferedReader input;
}
