/*  $Id: TestRandomNode.java 238 2006-04-30 20:07:59Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.grant.simul;

import net.eduvax.grant.core.ExecReport;
import net.eduvax.grant.core.ExecRequest;

/**
 * This node selects strictly randomly other nodes when routing.
 * Full random selection is provided by normal ant engine but feedback
 * is always 0 so selection probability has always same value for all nodes.
 * That is : P(x)=1/NbNodes
 * @version
 * $Id: TestRandomNode.java 238 2006-04-30 20:07:59Z sdevaux $
 * @author Sebastien Devaux
 */
class TestRandomNode extends TestNode {
	/**
     * Create new TestRandomNode.
	 * See TestNode for p and max param details.
     * @param n new node's name
	 * @param b broker to use to send request to other nodes
	 * @param p power indice.
	 */
	public TestRandomNode(String n,int p) {
		super(n,p);
	}
	/**
	 * do not report any feedback. 
	 * Since feedback is always 0, selector choose fully randomly
	 * @param er execute report
	 * @param l node index in routing path
	 * @return 0.0f
	 */
	protected float getFeedback(ExecReport er) {
		return 0f;
	}
	/**
	 * do not report any feedback. 
	 * Since feedback is always 0, selector choose fully randomly
	 * @param er execute report
	 * @param l node index in routing path
	 * @return 0.0f
	 */
	protected float getFeedback(ExecRequest er) {
		return 0f;
	}
}
