/*  $Id: TestRoundRobinNode.java 238 2006-04-30 20:07:59Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.grant.simul;

import net.eduvax.ai.ga.RoundRobin;

/**
 * Test node with round robin selector.
 * This node behavior is its parent behavior. It just use a RoundRobin 
 * selector i.e. The ant engine is not use to route tasklets to next node.
 * Nodes are selected sequentially one by one. Each step selects next node 
 * in know nodes list. last's next is fist :<br>
 * A RoundRobin selector is used insteed of native ant engine one. See 
 * RoundRobin class for more details.
 * @version
 * $Id: TestRoundRobinNode.java 238 2006-04-30 20:07:59Z sdevaux $
 * @author Sebastien Devaux
 */
class TestRoundRobinNode extends TestNode {
	/**
 	 * create new round robin test node.
	 * @param n new node's name.
	 * @param b broker to use to send requests to parent and selected nodes.
	 * @param p perf number.
	 * @see TestNode details about p and max params.
	 */
	public TestRoundRobinNode(String n,int p) {
		super(n,p);
		setSelector(new RoundRobin(candidate));
	}
}
