/*  $Id: TestTasklet.java 238 2006-04-30 20:07:59Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.grant.simul;

import java.util.StringTokenizer;

import net.eduvax.grant.core.AbstractTasklet;

/**
 * Tasklet base test.
 * Only sleeps N seconds where N is the unique commande line argument...
 * @version
 * $Id: TestTasklet.java 238 2006-04-30 20:07:59Z sdevaux $
 * @author Sebastien Devaux
 */
public class TestTasklet extends AbstractTasklet {
	/** default delay (millisec). */
	public static final int DEF_DELAY=10000;
	/** one second is 1000 milliseconds. */
	public static final int SEC_UNIT=1000;
	/**
	 * Create new test tasklet.
	 * @param params arguments
	 */
	public TestTasklet() {
		super();
	}
	/**
	 * run tasklet.
	 */
	public void run() {
		int delay=DEF_DELAY;
		StringTokenizer st=new StringTokenizer(
                        context.getExecRequest().getArgs());
		if (st.hasMoreTokens()) {
//			try {
				delay=SEC_UNIT*Integer.parseInt(st.nextToken());
//			}
//			catch (Exception ex) {
//			}
		}
		try {
			Thread.sleep(delay);	
		}
		catch (InterruptedException iex) {
			iex.printStackTrace();
		}
	}
}
