/*  $Id: WebServer.java 238 2006-04-30 20:07:59Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.grant.xmlrpc;

import net.eduvax.grant.core.Node;

import org.apache.xmlrpc.XmlRpcServer;
import org.mortbay.jetty.Server;
import org.mortbay.http.HttpContext;
import org.mortbay.http.HttpServer;
import org.mortbay.http.SocketListener;
import org.mortbay.http.handler.ResourceHandler;
import java.io.IOException;
import java.io.PrintStream;

/**
 * Grant web server.
 * xmlrpc query listener.
 * some additionnal services.
 */
public class WebServer extends ResourceHandler {
	/**
	 * create new web server
	 * @param port listening IP port
	 */
    public WebServer(int port,Node n,NodeXMLrpcServer xNode) {
        httpServer=new Server();
        SocketListener listener = new SocketListener();
        listener.setPort(port); 
        httpServer.addListener(listener);
		HttpContext context = new HttpContext();
		context.setContextPath("/");
		context.setResourceBase(".");
		context.addHandler(new NodeHttpHandler(n,xNode));
		httpServer.addContext(context);
    }                
	/**
	 * start server.
	 */
    public void start() {
        try {
            httpServer.start();    
        }
        catch (Exception ex) {
            ex.printStackTrace();
            System.exit(1);
        }                        
    }        
	/**
	 * stop server.
	 */
    public void shutdown() {
        try {
            httpServer.stop();    
        }
        catch (Exception ex) {
            ex.printStackTrace();
            System.exit(1);
        }                        
    }                
	/** jetty http server */
    private HttpServer httpServer;
}
