/*  $Id: TestExecRequest.java 266 2006-05-14 20:29:36Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
import junit.framework.*;
import net.eduvax.grant.core.ExecRequest;
import net.eduvax.grant.core.ExecReport;
import net.eduvax.grant.core.Node;
import net.eduvax.grant.core.TaskletEvent;


public class TestExecRequest extends TestCase {
    public void setUp() {
		n1=new TestNode("node1");
		n2=new TestNode("node2");
		ExecRequest er=new ExecRequest("null.task","");
		er1=er.appendNode(n1);
		er2=er1.appendNode(n2);
    }
    public void tearDown() {
    }

    public void testID() {
		System.out.println("");
		String id1=er1.getTaskId();
		System.out.println("id1 : "+id1);
		String id2=er2.getTaskId();
		System.out.println("id2 : "+id2);
		assertTrue(id1.equals(id2));
		ExecRequest er2=new ExecRequest("null.task","");
		id2=er2.getTaskId();
		System.out.println("id2' : "+id2);
		assertFalse(id1.equals(id2));
    }
	public void testAppend() {
		String testPath=ExecRequest.PATHDELIM+n1.getName()
						+ExecRequest.PATHDELIM+n2.getName();
		assertTrue(testPath.equals(er2.getRouterPath()));
	}
	public void testParent() {
		assertTrue(n1.getName().equals(er2.getParent(n2)));
		assertNull(er2.getParent(n1));
	}
	public void testChild() {
		assertTrue(n2.getName().equals(er2.getChild(n1)));
		assertNull(er2.getChild(n2));
	}
	public void testMember() {
		assertTrue(er2.member(n2));
		assertFalse(er1.member(n2));
	}
	private class TestNode extends Node {
		public ExecRequest submitRequest(ExecRequest er) {
			return null;
		}
		public int execReport(ExecReport er) {
			return 0;
		}
		public Node addNode(String nName) {
			return null;
		}
		public void removeNode(String nName) {
		}
		public String status() {
			return null;
		}
		public void shutdown() {
		}
		public String[] getKnownNodes() {
			return null;
		}
		public float load() {
			return 0.0f;
		}
		public TestNode(String n) {
			super(n);
		}
		public void handleEvent(int eventType,TaskletEvent event) {
		}
	}
	private TestNode n1;
	private TestNode n2;
	private ExecRequest er1;
	private ExecRequest er2;
}        
