/*  $Id: TestTaskletJarCache.java 266 2006-05-14 20:29:36Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
import junit.framework.*;
import java.io.File;
import java.util.Enumeration;
import java.util.jar.JarFile;
import net.eduvax.grant.core.TaskletJarCache;


public class TestTaskletJarCache extends TestCase {
    public void setUp() {
        cache=new TaskletJarCache();            
        File f=new File(cache.getCachedJarPath(testJarURL));
        if (f.exists()) {
            f.delete();                
        }       
    }
    public void tearDown() {
    }

    public void testJar() {
        JarFile jar=cache.get(testJarURL);            
        assertNotNull(jar);
        Enumeration entries=jar.entries();
        int i=0;
        while (entries.hasMoreElements()&&i<testEntries.length) {
            assertTrue(testEntries[i].equals(""+entries.nextElement()));
            i++;
        }       
        assertTrue(i==testEntries.length);
                
    }
    private TaskletJarCache cache;
    private String testJarURL="http://grant.eduvax.net/tasklets/fractal.jar";
    private String[] testEntries={"META-INF/","META-INF/MANIFEST.MF"};
}    
