/*  $Id: TestTaskletManager.java 266 2006-05-14 20:29:36Z sdevaux $
 *
 * grant - light computationnal grid powered by ants
 * Tabs = 4 chars
 * copyright (C) 2004 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * Use of this software with non-GPL software requires specific licencing.
 * contact the author when such usage occures.
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
import junit.framework.*;
import net.eduvax.grant.core.ExecRequest;
import net.eduvax.grant.core.Tasklet;
import net.eduvax.grant.core.TaskletManager;


public class TestTaskletManager extends TestCase {
    public void setUp() {
        manager=new TestManager();            
    }
    public void tearDown() {
    }

    public void testTasklet() {
        Tasklet tasklet=manager.getTasklet(testTaskletURL);
        assertNotNull(tasklet);        
        tasklet=manager.getTasklet(testTaskletURL+"Null");
        assertNull(tasklet);        
    }
    private TestManager manager;
    private String testTaskletURL="http://grant.eduvax.net/tasklets/fractal.jar#net.eduvax.grant.tasklets.fractal.Mandelbrot";
    private class TestManager extends TaskletManager {
        public Tasklet getTasklet(String taskletURL) {
            ExecRequest rq=new ExecRequest(taskletURL,"");
            return prepareTasklet(rq);            
        }                
    }            
}    
